**** test Menu Execution Program ****;

**---- GET DATA FOR THE SELECTED POINT---;
data subgraph;
set intgraph.details;
&pnt_id;  ** 'if statement' passed to the program (PNT_ID defined in IANNO dataset)**;
run;

**---- note MENU_NO and DESC_ST are passed to the program, MENU_NO tells        **;
**---- the program which menu item was selected by the user, DESC_ST is a short **;
**---- description of selected point and is defined in IANNO dataset            **;

%macro OUTPUT;
%if &menu_no = 1 %then %do;
**--------FIRST MENU ITEM SELECTED-------*;
        title "Graph for &desc_st";
        proc gplot data=subgraph;
        PLOT y2 * x2;
        run;
%end;
%else %if &menu_no =2 %then %do;
**-------SECOND MENU ITEM SELECTED-------*;
title "Listing for &desc_st";
options nocenter;
proc print; run;
%end;
%mend OUTPUT;

%OUTPUT;


